> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vers.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1env vars



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/env_vars
openapi: 3.1.0
info:
  title: Orchestrator Control Plane API
  description: ''
  license:
    name: ''
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/env_vars:
    get:
      tags:
        - env_vars
      operationId: list_env_vars
      responses:
        '200':
          description: Current environment variables
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnvVarsResponse'
        '401':
          description: Unauthorized
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearer_auth: []
components:
  schemas:
    EnvVarsResponse:
      type: object
      description: Response body for GET /env_vars and PUT /env_vars.
      required:
        - vars
      properties:
        vars:
          type: object
          description: All environment variables currently set for the authenticated user.
          additionalProperties:
            type: string
          propertyNames:
            type: string
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Reason of error
        success:
          type: boolean
          description: 'Is always: false'
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: Token

````